Method: projects.locations.instances.patch

Updates an Instance.

HTTP request

PATCH https://run.googleapis.com/v2/{instance.name}

Path parameters

Parameters
instance.name

string

The fully qualified name of this Instance. In CreateInstanceRequest, this field is ignored, and instead composed from CreateInstanceRequest.parent and CreateInstanceRequest.instance_id. It takes the form projects/{project}/locations/{location}/instances/{instance}.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to be updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

validateOnly

boolean

Optional. Indicates that the request should be validated and default values populated, without persisting the request or updating any resources.

allowMissing

boolean

Optional. If set to true, and if the Instance does not exist, it will create a new one. The caller must have run.instances.create permissions if this is set to true and the Instance does not exist.

Request body

The request body contains an instance of Instance.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.